{
  lib,
  pkgs,
  osConfig,
  ...
}: let
  inherit (lib) mkIf;

  cfg = osConfig.myOptions.home-manager.programs.applications.nomacs;
in {
  config = mkIf cfg.enable {
    home.packages = with pkgs; [
      nomacs
    ];

    xdg.configFile = {
      "nomacs/Image Lounge.conf".text = ''
        [General]
        DkEditDock=2
        DkExplorer=1
        DkMetaDataDock=2
        firstTime=false

        [AppSettings]
        appMode=0
        currentAppMode=0
        defaultJpgQuality=97
        firstTime.nomacs.3=false
        hideAllPanels=true
        showMenuBar=false
        showRecentFiles=false
        useLogFile=true

        [Crop]
        AspectRatioHorizontal=0
        AspectRatioVertical=0
        cropToMetadata=false
        guides=1
        info=true
        inverted=false

        [DisplaySettings]
        bgColorNoMacsRGBA=4281545523
        bgColorWidgetRGBA=2852126720
        fadeSec=0
        fontColorRGBA=4292730333
        highlightColorRGBA=4278233855
        iconColorRGBA=4292730333
        themeName312=Dark-Theme.css
        transition=0

        [DkAppManager]
        Apps\size=0

        [DkCompressionDialog]
        CompressionCombo0=0
        bgCompressionColor0=4294967295

        [DkDialog]
        deleteFileDialog=false
        deleteFileDialog-answer=16384
        overwriteDialog=false
        overwriteDialog-answer=16384
        saveEditDialog=false
        saveEditDialog-answer=16384
        saveTabsDialog=false
        saveTabsDialog-answer=16384

        [DkExplorer]
        Date%20ModifiedHidden=true
        Date%20ModifiedSize=0
        LoadSelected=false
        NameHidden=false
        NameSize=243
        ReadOnly=true
        RootPath=/home/itsdrike
        SizeHidden=true
        SizeSize=0
        TypeHidden=true
        TypeSize=0

        [DkFilePreview]
        windowPosition=1

        [DkMetaDataDock]
        KeySize=100
        ValueSize=113
        expandedNames=@Invalid()

        [DkMetaDataHUD]
        keyValues=File.Filename, File.Path, File.Size, Exif.Image.Make, Exif.Image.Model, Exif.Image.DateTime, Exif.Image.ImageDescription, Exif.Photo.ISO, Exif.Photo.FocalLength, Exif.Photo.ExposureTime, Exif.Photo.Flash, Exif.Photo.FNumber
        numColumns=-1
        windowPosition=3

        [GlobalSettings]
        logRecentFiles=false

        [MetaDataSettings]
        ignoreExifOrientation=false
        saveExifOrientation=false

        [SynchronizeSettings]
        checkForUpdates=true
        disableUpdateInteraction=false

        [zooming]
        useLevels=false
        zoomLevels="0.0001,0.001,0.01,0.05,0.1,0.125,0.166,0.25,0.333,0.5,0.66,1,1.5,2,3,4,5,6,7,8,12,16,32,64,128"
      '';
    };
  };
}
